Create users

Creates one or more users. New users receive the User role.

Requires the Create permission on the Users entity (create:user). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Validates the POST /users request

string
required
length ≥ 1

Specifies the last name of the user.

string
required
length ≥ 1

Specifies the first name of the user.

string
required

Specifies the email address of the user, which the user signs in with.

string
required
length ≥ 12
^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{12,}$

Specifies the password of the user. It must contain at least 12 characters, including a lowercase letter, an uppercase letter, a number and a special character.

string

Specifies the department of the user.

string

Specifies a short biography of the user.

boolean
Defaults to false

Specifies whether the user account is active.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json